<div  align="center">
<img src ="https://amine1107.github.io/Stylizer/assets/img/logos.png" />
  
  
# Stylizer V3.0
Stylizer is a flexible Css framework,Based on the visual aspect, the framework offers you a clean and easy work

[![GitHub issues](https://img.shields.io/github/issues/amine1107/Stylizer.svg)](https://github.com/amine1107/lightx/issues)
[![GitHub forks](https://img.shields.io/github/forks/amine1107/Stylizer.svg?style=flat-square)](https://github.com/amine1107/lightx/network)
[![GitHub stars](https://img.shields.io/github/stars/amine1107/Stylizer.svg?style=flat-square)](https://github.com/amine1107/Stylizer/stargazers)
[![GitHub license](https://img.shields.io/github/license/amine1107/Stylizer.svg?style=flat-square)](https://github.com/amine1107/Stylizer/blob/master/LICENSE)
</div>



## Getting Started 
These instructions will get you a copy of the project up and running on your local machine for development and testing purposes. See deployment for notes on how to deploy the project on a live system.
### Download the minified file
the installation of Stylizer is very simple, you can get a copy by downloading the minified file 
* [Download](https://gitcdn.xyz/cdn/amine1107/Stylizer/fa41b0c9fc0bfd7c3ac9083ba402cc724926136a/Stylizer.min.css)
### Using CDN
```html
<link rel="stylesheet" type="text/css" media="screen" href="https://gitcdn.xyz/repo/amine1107/Stylizer/master/Stylizer.min.css" />          
```
### Using Git
You can also clone the project using Git
```git
$ git clone https://github.com/amine1107/Stylizer.git
```
### Using Npm
```npm
$ npm i Stylizer
```
## Running the tests
You can simply add Lightx to your file Html
```html
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Your Title | Make some awesome stuff</title>
  <link rel="icon" href="../favicon.ico">
  <!-- Add the Path where is your file --> 
  <link rel="stylesheet" type="text/css" media="screen" href="../path/Stylizer.min.css" />
</head>
<body>
  <!-- Your Content -->
  
  <h1>Hello World</h1>
  
</body>
</html>  
```
## Exemple
### Grids
Stylizer contain 12 responsive grids 
```html 
<div class="container">
  <div class="row">
     <div class="col-md-6>
       <h1>Hello World</h1>
     </div>
  </div>
</div>
```
For more Informations visit : 
* [Stylizer Website](https://amine1107.github.io/Stylizer/)

# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue,
email, or any other method with the owners of this repository before making a change. 

Please note we have a code of conduct, please follow it in all your interactions with the project.

## Pull Request Process

1. Ensure any install or build dependencies are removed before the end of the layer when doing a 
   build.
2. Update the README.md with details of changes to the interface, this includes new environment 
   variables, exposed ports, useful file locations and container parameters.
3. Increase the version numbers in any examples files and the README.md to the new version that this
   Pull Request would represent. The versioning scheme we use is [SemVer](http://semver.org/).
4. You may merge the Pull Request in once you have the sign-off of two other developers, or if you 
   do not have permission to do that, you may request the second reviewer to merge it for you.

## Code of Conduct

### Our Pledge

In the interest of fostering an open and welcoming environment, we as
contributors and maintainers pledge to making participation in our project and
our community a harassment-free experience for everyone, regardless of age, body
size, disability, ethnicity, gender identity and expression, level of experience,
nationality, personal appearance, race, religion, or sexual identity and
orientation.

### Our Standards

Examples of behavior that contributes to creating a positive environment
include:

* Using welcoming and inclusive language
* Being respectful of differing viewpoints and experiences
* Gracefully accepting constructive criticism
* Focusing on what is best for the community
* Showing empathy towards other community members

Examples of unacceptable behavior by participants include:

* The use of sexualized language or imagery and unwelcome sexual attention or
advances
* Trolling, insulting/derogatory comments, and personal or political attacks
* Public or private harassment
* Publishing others' private information, such as a physical or electronic
  address, without explicit permission
* Other conduct which could reasonably be considered inappropriate in a
  professional setting

### Our Responsibilities

Project maintainers are responsible for clarifying the standards of acceptable
behavior and are expected to take appropriate and fair corrective action in
response to any instances of unacceptable behavior.

Project maintainers have the right and responsibility to remove, edit, or
reject comments, commits, code, wiki edits, issues, and other contributions
that are not aligned to this Code of Conduct, or to ban temporarily or
permanently any contributor for other behaviors that they deem inappropriate,
threatening, offensive, or harmful.

### Scope

This Code of Conduct applies both within project spaces and in public spaces
when an individual is representing the project or its community. Examples of
representing a project or community include using an official project e-mail
address, posting via an official social media account, or acting as an appointed
representative at an online or offline event. Representation of a project may be
further defined and clarified by project maintainers.

### Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported by contacting the project team at [amineaouane1992@gmail.com]. All
complaints will be reviewed and investigated and will result in a response that
is deemed necessary and appropriate to the circumstances. The project team is
obligated to maintain confidentiality with regard to the reporter of an incident.
Further details of specific enforcement policies may be posted separately.

Project maintainers who do not follow or enforce the Code of Conduct in good
faith may face temporary or permanent repercussions as determined by other
members of the project's leadership.

# Licence 
MIT License
